TAU_DB_DUMP_INCR(3)

Name
TAU_DB_DUMP_INCR - Dumps profile database into timestamped profiles on disk

Synopsis

C/C++:

TAU_DB_DUMP_INCR(void);

Description

This is similar to the TAU_DB_DUMP macro but it produces dump files that have a timestamp in their names. This allows the user to record timestamped incremental dumps as the application executes.

Example

C/C++ :

    TAU_DB_DUMP_INCR();

Python:

    import pytau
    pytau.dbDumpIncr("prefix")

See Also

TAU_DB_DUMP(3), TAU_DB_DUMP_PREFIX(3), TAU_DUMP_FUNC_NAMES(3), TAU_DUMP_FUNC_VALS(3), TAU_DUMP_FUNC_VALS_INCR(3), TAU_DB_PURGE(3), TAU_PROFILE_EXIT(3)